Std Ajouter un document texte

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std TextDocument and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Std MeasureDistance.svg Mesurer une distance
Page suivante : Vue en rotation Arrow-right.svg

Std TextDocument.svg Std Ajouter un document texte

Emplacement du menu
Outils → Ajouter un document texte
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Formes à partir texte, Draft Texte


Description

La commande Std Ajouter un document texte crée un objet capable de contenir du texte arbitraire. Cet élément peut être utilisé pour écrire des informations générales ou de la documentation sur le modèle.

Utilisation

  1. Sélectionnez l'option Outils → Ajouter un document texte dans le menu
  2. Double-cliquez sur l'objet nouvellement créé dans la vue en arborescence pour ouvrir un onglet dans lequel écrire du texte.
  3. Ajouter du texte.
  4. Fermez l'onglet et enregistrez le fichier lorsque vous y êtes invité.

Propriétés

Vue

Editor

  • VueFont Name (Font): un nom de police, par exemple, Ubuntu Mono.
  • VueFont Size (Float): une taille de police en points, par exemple, 11.
  • VueRead Only (Bool): par défaut False. Mis à True, le texte ne peut pas être modifié tant que cette propriété n'est pas définie sur False.
  • VueSyntax Highlighter (Enumeration): il est par défaut None. S'il est défini sur Python, il mettra en surbrillance le texte comme la console Python.

Script

Voir aussi: FreeCAD Script de base et objet scripté.

Voir Part Feature pour les informations générales sur l'ajout d'objets au document.

Un objet App::TextDocument est créé avec la méthode addObject() du document. Une fois qu'un TextDocument existe, ses informations textuelles sont stockées dans son attribut Text. Cet attribut peut être utilisé dans d'autres objets, par exemple, comme chaîne dans une Draft ShapeString.svg Draft Formes à partir texte.

import FreeCAD as App
import Draft

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()

obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Std MeasureDistance.svg Mesurer une distance
Page suivante : Vue en rotation Arrow-right.svg